### Hierarchy

- unknown
  - SellerAsTakerTrade

## Index

### Constructors

- constructor

### Methods

- clearTrade
- getTrade
- hasTrade
- serializeBinary
- setTrade
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SellerAsTakerTrade(): SellerAsTakerTrade

- Inherited from jspb.Message.constructor

  #### Returns SellerAsTakerTrade

## Methods

### clearTrade

- clearTrade(): SellerAsTakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6947

  #### Returns SellerAsTakerTrade

### getTrade

- getTrade(): undefined | Trade

- - Defined in src/protobuf/pb_pb.d.ts:6944

  #### Returns undefined | Trade

### hasTrade

- hasTrade(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6946

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6949

  #### Returns Uint8Array

### setTrade

- setTrade(value?: Trade ): SellerAsTakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6945

  #### Parameters

  - ##### Optional value: Trade

  #### Returns SellerAsTakerTrade

### toObject

- toObject(includeInstance?: boolean): SellerAsTakerTrade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6950

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SellerAsTakerTrade . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SellerAsTakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6953

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SellerAsTakerTrade

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SellerAsTakerTrade, reader: BinaryReader): SellerAsTakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6954

  #### Parameters

  - ##### message: SellerAsTakerTrade

  - ##### reader: BinaryReader

  #### Returns SellerAsTakerTrade

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SellerAsTakerTrade, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6952

  #### Parameters

  - ##### message: SellerAsTakerTrade

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SellerAsTakerTrade ): SellerAsTakerTrade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6951

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SellerAsTakerTrade

  #### Returns SellerAsTakerTrade . AsObject

Generated using TypeDoc